<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: monitor_engine Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">monitor_engine Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:aae018f54a24b7041cee005fce0d2f5ae"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemonitor__engine.html#aae018f54a24b7041cee005fce0d2f5ae">monitor_engine_init</a> (vdf)</td></tr>
<tr class="separator:aae018f54a24b7041cee005fce0d2f5ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e93cbd880ea3ae051fbae316061556e"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemonitor__engine.html#a9e93cbd880ea3ae051fbae316061556e">monitor_engine_update</a> (vdf)</td></tr>
<tr class="separator:a9e93cbd880ea3ae051fbae316061556e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a59e73475a341b91462913f63a4784d79"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemonitor__engine.html#a59e73475a341b91462913f63a4784d79">rpm</a></td></tr>
<tr class="separator:a59e73475a341b91462913f63a4784d79"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="aae018f54a24b7041cee005fce0d2f5ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae018f54a24b7041cee005fce0d2f5ae">&#9670;&nbsp;</a></span>monitor_engine_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public monitor_engine::monitor_engine_init </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacemonitor__func.html#a5f58590d24bbef2f58d303d2df4400db">monitor_func::aget_monitor()</a>, <a class="el" href="namespaceparser.html#a3ecbdeea55934b3994e9f7028fe7334f">parser::parser_is_defined()</a>, and <a class="el" href="namespacemonitor__engine.html#a59e73475a341b91462913f63a4784d79">rpm</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacemonitor__engine_aae018f54a24b7041cee005fce0d2f5ae_cgraph.png" border="0" usemap="#namespacemonitor__engine_aae018f54a24b7041cee005fce0d2f5ae_cgraph" alt=""/></div>
<map name="namespacemonitor__engine_aae018f54a24b7041cee005fce0d2f5ae_cgraph" id="namespacemonitor__engine_aae018f54a24b7041cee005fce0d2f5ae_cgraph">
<area shape="rect" id="node2" href="namespacemonitor__func.html#a5f58590d24bbef2f58d303d2df4400db" title="monitor_func::aget\l_monitor" alt="" coords="233,115,364,156"/>
<area shape="rect" id="node6" href="namespaceparser.html#a3ecbdeea55934b3994e9f7028fe7334f" title="parser::parser_is_defined" alt="" coords="215,181,383,207"/>
<area shape="rect" id="node3" href="namespacemonitor__func.html#a2a57028b985bb8ae85834c842506acfa" title="monitor_func::allocate\l_monitor" alt="" coords="431,60,581,101"/>
<area shape="rect" id="node4" href="namespacemonitor__func.html#ad9375226969a462ac0bec33b5d43dc90" title="monitor_func::cleanup\l_monitor" alt="" coords="649,5,799,47"/>
<area shape="rect" id="node5" href="namespacemonitor__func.html#a9e3d214c845e1d3feafab9d36830bb84" title="monitor_func::destroy\l_mon_var_ptr" alt="" coords="867,5,1015,47"/>
<area shape="rect" id="node7" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee" title="parser::get_param" alt="" coords="443,181,569,207"/>
<area shape="rect" id="node8" href="namespaceparser.html#a91aaf4597fa9c7a14a57273280085469" title="parser::reset_tag_list" alt="" coords="652,71,796,98"/>
<area shape="rect" id="node9" href="namespaceparser.html#a34f545c81b46c08e17a82c1628281242" title="parser::add_tag_to_list" alt="" coords="647,122,801,149"/>
<area shape="rect" id="node10" href="namespaceparser.html#ae0cbde482df428447cce9a30d81332e7" title="parser::compare_tag\l_param" alt="" coords="653,173,795,215"/>
<area shape="rect" id="node11" href="namespaceparser.html#ae72f9b0f3318c3dc4c2290a3c543d78b" title="parser::compare_domain\l_param" alt="" coords="641,239,807,280"/>
<area shape="rect" id="node12" href="namespaceparser.html#a99f99745577c0d4e01da2a949b601bf0" title="parser::in_param_rewind_tag" alt="" coords="629,305,819,331"/>
<area shape="rect" id="node13" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9" title="parser::in_param_rewind" alt="" coords="642,355,806,382"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacemonitor__engine_aae018f54a24b7041cee005fce0d2f5ae_icgraph.png" border="0" usemap="#namespacemonitor__engine_aae018f54a24b7041cee005fce0d2f5ae_icgraph" alt=""/></div>
<map name="namespacemonitor__engine_aae018f54a24b7041cee005fce0d2f5ae_icgraph" id="namespacemonitor__engine_aae018f54a24b7041cee005fce0d2f5ae_icgraph">
<area shape="rect" id="node2" href="namespacemonitor__preset.html#a59af35044464b7f767a49f46012639cd" title="monitor_preset::vdf\l_monitor_preset_init" alt="" coords="215,5,353,47"/>
</map>
</div>

</div>
</div>
<a id="a9e93cbd880ea3ae051fbae316061556e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e93cbd880ea3ae051fbae316061556e">&#9670;&nbsp;</a></span>monitor_engine_update()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public monitor_engine::monitor_engine_update </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, and <a class="el" href="namespacemonitor__engine.html#a59e73475a341b91462913f63a4784d79">rpm</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacemonitor__engine_a9e93cbd880ea3ae051fbae316061556e_cgraph.png" border="0" usemap="#namespacemonitor__engine_a9e93cbd880ea3ae051fbae316061556e_cgraph" alt=""/></div>
<map name="namespacemonitor__engine_a9e93cbd880ea3ae051fbae316061556e_cgraph" id="namespacemonitor__engine_a9e93cbd880ea3ae051fbae316061556e_cgraph">
<area shape="rect" id="node2" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="215,13,311,39"/>
<area shape="rect" id="node3" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="359,5,489,47"/>
</map>
</div>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacemonitor__engine_a9e93cbd880ea3ae051fbae316061556e_icgraph.png" border="0" usemap="#namespacemonitor__engine_a9e93cbd880ea3ae051fbae316061556e_icgraph" alt=""/></div>
<map name="namespacemonitor__engine_a9e93cbd880ea3ae051fbae316061556e_icgraph" id="namespacemonitor__engine_a9e93cbd880ea3ae051fbae316061556e_icgraph">
<area shape="rect" id="node2" href="namespacemonitor__preset.html#a87f9b3d7c25bdaac79a707d99a5a86e3" title="monitor_preset::vdf\l_monitor_preset_update" alt="" coords="215,64,376,105"/>
<area shape="rect" id="node3" href="namespacearts__md__simulation.html#a97a21252e6b5e4038bafa69b3ff35a98" title="arts_md_simulation\l::arts_md_poststep" alt="" coords="427,5,561,47"/>
<area shape="rect" id="node5" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="612,67,776,94"/>
<area shape="rect" id="node7" href="namespacearts__simulation.html#a620c49349fe0e4c7cf28b109aaa0bdbc" title="arts_simulation::arts\l_poststep" alt="" coords="424,171,564,212"/>
<area shape="rect" id="node4" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="641,13,747,39"/>
<area shape="rect" id="node6" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="851,46,895,73"/>
<area shape="rect" id="node8" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="641,275,747,302"/>
<area shape="rect" id="node9" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="842,97,905,123"/>
<area shape="rect" id="node10" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="830,147,917,174"/>
<area shape="rect" id="node11" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="839,198,908,225"/>
<area shape="rect" id="node12" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="839,249,907,275"/>
<area shape="rect" id="node13" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="825,299,921,326"/>
<area shape="rect" id="node14" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="827,350,919,377"/>
<area shape="rect" id="node15" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="845,401,902,427"/>
<area shape="rect" id="node16" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="836,451,911,478"/>
<area shape="rect" id="node17" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="824,502,923,529"/>
<area shape="rect" id="node18" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="845,553,902,579"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a59e73475a341b91462913f63a4784d79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59e73475a341b91462913f63a4784d79">&#9670;&nbsp;</a></span>rpm</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) monitor_engine::rpm</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
